"use strict";
const common_vendor = require("../../common/vendor.js");
const gen_Enums = require("../../gen/Enums.js");
const INDEX_pass_method = require("./method.js");
const INDEX_pass_model = require("./model.js");
require("../../common/libraries/apiLoading.js");
require("../../common/libraries/day.js");
require("../../common/libraries/naviHelper.js");
require("../../gen/Apis.js");
require("../../common/libraries/request.js");
require("../../common/store/useWeAppAuthStore.js");
require("../../common/store/useWatermarkStore.js");
require("../../common/store/useWorkStore.js");
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  const _easycom_u_avatar2 = common_vendor.resolveComponent("u-avatar");
  const _easycom_hs_footer2 = common_vendor.resolveComponent("hs-footer");
  (_easycom_uni_icons2 + _easycom_u_avatar2 + _easycom_hs_footer2)();
}
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
const _easycom_u_avatar = () => "../../node-modules/uview-plus/components/u-avatar/u-avatar.js";
const _easycom_hs_footer = () => "../../components/hs-footer/hs-footer.js";
if (!Math) {
  (_easycom_uni_icons + _easycom_u_avatar + _easycom_hs_footer)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    common_vendor.onLoad((e) => {
      var _a;
      (_a = INDEX_pass_method.method) == null ? void 0 : _a.getShow(e);
      console.log(e);
    });
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j, _k, _l, _m, _n, _o, _p, _q, _r, _s, _t, _u, _v, _w, _x, _y, _z, _A, _B, _C, _D, _E, _F, _G, _H, _I, _J, _K, _L, _M, _N, _O, _P, _Q, _R, _S, _T, _U, _V, _W, _X, _Y, _Z, __, _$, _aa, _ba, _ca, _da, _ea;
      return common_vendor.e({
        a: (_b = (_a = common_vendor.unref(INDEX_pass_model.useModel)) == null ? void 0 : _a.isExpired) == null ? void 0 : _b.value
      }, ((_d = (_c = common_vendor.unref(INDEX_pass_model.useModel)) == null ? void 0 : _c.isExpired) == null ? void 0 : _d.value) ? {
        b: common_vendor.p({
          type: "info",
          size: "50",
          color: "#FF4D4F"
        })
      } : {
        c: common_vendor.p({
          src: ((_g = (_f = (_e = common_vendor.unref(INDEX_pass_model.useModel)) == null ? void 0 : _e.userInfo) == null ? void 0 : _f.value) == null ? void 0 : _g.worker_photo) && ((_k = (_j = (_i = (_h = common_vendor.unref(INDEX_pass_model.useModel)) == null ? void 0 : _h.userInfo) == null ? void 0 : _i.value) == null ? void 0 : _j.worker_photo[0]) == null ? void 0 : _k.url),
          size: "70"
        }),
        d: common_vendor.t(((_n = (_m = (_l = common_vendor.unref(INDEX_pass_model.useModel)) == null ? void 0 : _l.showData) == null ? void 0 : _m.value) == null ? void 0 : _n.visitor_name) || "-"),
        e: common_vendor.t(((_q = (_p = (_o = common_vendor.unref(INDEX_pass_model.useModel)) == null ? void 0 : _o.showData) == null ? void 0 : _p.value) == null ? void 0 : _q.visitor_phone) || "-")
      }, {
        f: common_vendor.t(((_u = (_t = (_s = (_r = common_vendor.unref(INDEX_pass_model.useModel)) == null ? void 0 : _r.showData) == null ? void 0 : _s.value) == null ? void 0 : _t.asset_house) == null ? void 0 : _u.full_name) || "-"),
        g: (_w = (_v = common_vendor.unref(INDEX_pass_model.useModel)) == null ? void 0 : _v.isExpired) == null ? void 0 : _w.value
      }, ((_y = (_x = common_vendor.unref(INDEX_pass_model.useModel)) == null ? void 0 : _x.isExpired) == null ? void 0 : _y.value) ? {} : {
        h: common_vendor.t((_C = common_vendor.unref(gen_Enums.VisitorAppliesStatusEnum)[(_B = (_A = (_z = common_vendor.unref(INDEX_pass_model.useModel)) == null ? void 0 : _z.showData) == null ? void 0 : _A.value) == null ? void 0 : _B.status]) == null ? void 0 : _C.text),
        i: common_vendor.n(`value status_${(_F = (_E = (_D = common_vendor.unref(INDEX_pass_model.useModel)) == null ? void 0 : _D.showData) == null ? void 0 : _E.value) == null ? void 0 : _F.status}`)
      }, {
        j: (_I = (_H = (_G = common_vendor.unref(INDEX_pass_model.useModel)) == null ? void 0 : _G.showData) == null ? void 0 : _H.value) == null ? void 0 : _I.remark
      }, ((_L = (_K = (_J = common_vendor.unref(INDEX_pass_model.useModel)) == null ? void 0 : _J.showData) == null ? void 0 : _K.value) == null ? void 0 : _L.remark) ? {
        k: common_vendor.t(((_O = (_N = (_M = common_vendor.unref(INDEX_pass_model.useModel)) == null ? void 0 : _M.showData) == null ? void 0 : _N.value) == null ? void 0 : _O.remark) || "-")
      } : {}, {
        l: common_vendor.t(((_S = (_R = (_Q = (_P = common_vendor.unref(INDEX_pass_model.useModel)) == null ? void 0 : _P.showData) == null ? void 0 : _Q.value) == null ? void 0 : _R.last_enter_record) == null ? void 0 : _S.enter_time) || "-"),
        m: common_vendor.t(((_W = (_V = (_U = (_T = common_vendor.unref(INDEX_pass_model.useModel)) == null ? void 0 : _T.showData) == null ? void 0 : _U.value) == null ? void 0 : _V.last_exit_record) == null ? void 0 : _W.exit_time) || "-"),
        n: ((_Z = (_Y = (_X = common_vendor.unref(INDEX_pass_model.useModel)) == null ? void 0 : _X.showData) == null ? void 0 : _Y.value) == null ? void 0 : _Z.status) === "Approved" && !((_$ = (__ = common_vendor.unref(INDEX_pass_model.useModel)) == null ? void 0 : __.isExpired) == null ? void 0 : _$.value)
      }, ((_ca = (_ba = (_aa = common_vendor.unref(INDEX_pass_model.useModel)) == null ? void 0 : _aa.showData) == null ? void 0 : _ba.value) == null ? void 0 : _ca.status) === "Approved" && !((_ea = (_da = common_vendor.unref(INDEX_pass_model.useModel)) == null ? void 0 : _da.isExpired) == null ? void 0 : _ea.value) ? {
        o: common_vendor.o(($event) => {
          var _a2;
          return (_a2 = common_vendor.unref(INDEX_pass_method.method)) == null ? void 0 : _a2.handleSubmit("enter");
        }),
        p: common_vendor.o(($event) => {
          var _a2;
          return (_a2 = common_vendor.unref(INDEX_pass_method.method)) == null ? void 0 : _a2.handleSubmit("exit");
        }),
        q: common_vendor.p({
          btnParimaryName: "进入小区",
          btnOtherShow: true,
          btnOtherName: "离开小区"
        })
      } : {});
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/INDEX/pass/index.vue"]]);
wx.createPage(MiniProgramPage);
